Get auth override parameters for an MCP server
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/mcp/{mcpServerId}/auth-override/uischema \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/mcp/{mcpServerId}/auth-override/uischema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/mcp/{mcpServerId}/auth-override/uischema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"parameters": [
{
"key": "API_KEY"
}
]
}MCP Servers V2
Get auth override parameters for an MCP server
Returns the parameter names a key_value auth override must provide for this MCP server, so the auth override form can render one input per parameter. Response contains parameter names only, never credential values.
GET
/
api
/
svc
/
v1
/
mcp
/
{mcpServerId}
/
auth-override
/
uischema
Get auth override parameters for an MCP server
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
MCP server id (the id returned by GET /v1/mcp, not the name).
Example:
"mcp-01HXYZ..."
Response
Parameter names required by this MCP server auth override form.
Parameters the auth override form must collect for this MCP server.
Show child attributes
Show child attributes
Was this page helpful?